X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

This page is asking you to confirm that you want to leave - data you have entered may not be saved.

Posted

I keep getting the pop up: "This page is asking you to confirm that you want to leave - data you have entered may not be saved." Unfortunately it is always when I'm half way through writing a long email and the "stay on page" option doesn't work. I'm not very computer literate. All I can tell you is I'm using an imac OSX10.7.4 and FIrefox 14.0.1 Can anyone help?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • Displays Java applet content, or a placeholder if Java is not installed.
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Office Live Update v1.0
  • iPhoto6

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:14.0) Gecko/20100101 Firefox/14.0.1

More Information

{
"application": {
"name": "Firefox",
"version": "14.0.1",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:14.0) Gecko/20100101 Firefox/14.0.1",
"supportURL": "http://support.mozilla.org/1/firefox/14.0.1/Darwin/en-US/"
},
"modifiedPreferences": {
"accessibility.typeaheadfind.flashBar": 0,
"browser.cache.disk.capacity": 1048576,
"browser.cache.disk.smart_size.first_run": false,
"browser.cache.disk.smart_size_cached_value": 1048576,
"browser.places.smartBookmarksVersion": 4,
"browser.startup.homepage_override.mstone": "14.0.1",
"browser.startup.homepage_override.buildID": "20120713134347",
"extensions.lastAppVersion": "14.0.1",
"gfx.blacklist.webgl.msaa": 4,
"network.cookie.prefsMigrated": true,
"places.history.expiration.transient_current_max_pages": 100664,
"places.database.lastMaintenance": 1361237879,
"privacy.sanitize.migrateFx3Prefs": true,
"security.warn_viewing_mixed": false
},
"graphics": "Troubleshoot data provider failed: graphics\nTypeError: ext is null",
"javaScript": {
"incrementalGCEnabled": true
},
"accessibility": {
"isActive": false
},
"libraryVersions": {
"NSPR": {
"minVersion": "4.9",
"version": "4.9"
},
"NSS": {
"minVersion": "3.13.5.0 Basic ECC",
"version": "3.13.5.0 Basic ECC"
},
"NSSUTIL": {
"minVersion": "3.13.5.0",
"version": "3.13.5.0"
},
"NSSSSL": {
"minVersion": "3.13.5.0 Basic ECC",
"version": "3.13.5.0 Basic ECC"
},
"NSSSMIME": {
"minVersion": "3.13.5.0 Basic ECC",
"version": "3.13.5.0 Basic ECC"
}
},
"userJS": {
"exists": false
},
"extensions": [
{
"name": "Troubleshooter",
"version": "1.0a",
"isActive": true,
"id": "troubleshooter@mozilla.org"
}
]
}

AliceWyman
  • Top 25 Contributor
  • Moderator
191 solutions 1967 answers

You could try installing an extension such as AdBlock Plus or NoScript to see if that stops the annoying exit popups, as suggested in this earlier discussion:

AliceWyman
  • Top 25 Contributor
  • Moderator
191 solutions 1967 answers

P.S. Your Firefox 14.0.1 is outdated and insecure! The most recent version available from www.mozilla.org is Firefox 19.